package model

import (
	"iot_manager_service/app/dao"
)

type LampPoleDetail struct {
	dao.LampPole
	IsCrossName       string          `json:"isCrossName"`           //是否路口名称
	TagName           string          `json:"tagName"`               //标签(中文)
	ProvincesName     string          `json:"provincesName"`         //省市区组合地址
	GatewaySn         string          `json:"gatewaySn"`             //网关编码
	BoxSn             string          `json:"boxSn"`                 //配电箱编码
	RunState          string          `json:"runState"`              //运行状态
	PoleGroupName     string          `json:"poleGroupName"`         //灯杆分组名称
	BoxName           string          `json:"boxName"`               //配电箱名称
	AlarmTerminalList []AlarmTerminal `json:"akeyAlarmTerminalList"` //一键告警集合
	CameraList        []Camera        `json:"cameraList"`            //摄像头集合
	CaptureUnitList   []CaptureUnit   `json:"captureUnitList"`       //抓拍单元集合
	GatewayList       []Gateway       `json:"gatewayList"`           //网关集合
	InfoBoardList     []InfoBoard     `json:"infoBoardList"`         //信息屏集合
	IpBroadcastList   []IpBroadcast   `json:"ipBroadcastList"`       //IP音柱集合
	LightControlList  []LightControl  `json:"lightControlList"`      //灯控集合
	SensorList        []Sensor        `json:"sensorList"`            //环境监测集合
	ZigbeeList        []Zigbee        `json:"zigbeeList"`            //ZigBee集合
}

type RspLampPoleList struct {
	Records []LampPoleDetail `json:"records"` //记录列表
	Current int              `json:"current"` //当前分页
	Size    int              `json:"size"`    //每页数量
	Total   int              `json:"total"`   //总数
	Pages   int              `json:"pages"`   //总页数
}

type ReqLampPoleRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   int    `json:"sn"`   //sn
	Name string `json:"name"` //名称
}
