package model

import (
	"iot_manager_service/app/dao"
)

type LightControlDetail struct {
	dao.LightControl
	IsCrossName       string          `json:"isCrossName"`           //是否路口名称
	TagName           string          `json:"tagName"`               //标签(中文)
	ProvincesName     string          `json:"provincesName"`         //省市区组合地址
	GatewaySn         string          `json:"gatewaySn"`             //网关编码
	BoxSn             string          `json:"boxSn"`                 //配电箱编码
	RunState          string          `json:"runState"`              //运行状态
	PoleGroupName     string          `json:"poleGroupName"`         //灯杆分组名称
	BoxName           string          `json:"boxName"`               //配电箱名称
	AlarmTerminalList []AlarmTerminal `json:"akeyAlarmTerminalList"` //一键告警集合
	CameraList        []Camera        `json:"cameraList"`            //摄像头集合
	CaptureUnitList   []CaptureUnit   `json:"captureUnitList"`       //抓拍单元集合
	GatewayList       []Gateway       `json:"gatewayList"`           //网关集合
	InfoBoardList     []InfoBoard     `json:"infoBoardList"`         //信息屏集合
	IpBroadcastList   []IpBroadcast   `json:"ipBroadcastList"`       //IP音柱集合
	LightControlList  []LightControl  `json:"lightControlList"`      //灯控集合
	SensorList        []Sensor        `json:"sensorList"`            //环境监测集合
	ZigbeeList        []Zigbee        `json:"zigbeeList"`            //ZigBee集合
}

type RspLightControlList struct {
	Records []LightControlDetail `json:"records"` //记录列表
	Current int                  `json:"current"` //当前分页
	Size    int                  `json:"size"`    //每页数量
	Total   int                  `json:"total"`   //总数
	Pages   int                  `json:"pages"`   //总页数
}

type ReqLightControlRemove struct {
	IDs int `json:"ids"` //分组编码

	Name string `json:"name"` //名称
}

type ReqLightControlEnable struct {
	ID     int `json:"id"`     //编码
	Status int `json:"status"` //启用禁用：1启用2禁用
	Name   int `json:"name"`   //名称
	SN     int `json:"sn"`     //sn
}

type ReqLightControlSwitch struct {
	HandSwitch int    `json:"handSwitch"` //开关要更改的状态1=开启2=关闭
	HandTime   int    `json:"handTime"`   //手动控制时间(分钟)
	Luminance  int    `json:"luminance"`  //灯光亮度
	Explain    string `json:"explain"`    // 更改说明
	Name       string `json:"name"`       //名称
	SN         string `json:"sn"`         //SN
}
