package utils

type Errors struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

const (
	CodeSucceed  = 200  //成功
	CodeInternal = 9999 //内部错误

	CodeParamsInvalid    = 10001 //非法参数
	CodeOperationInvalid = 10002 //非法操作
)

const (
	Succeeded = "操作成功"
	Failed    = "操作失败"
)

func SuccessResponse(msg string, data interface{}) *Errors {
	return &Errors{
		Code: CodeSucceed,
		Msg:  msg,
		Data: data,
	}
}

func FailResponse(msg string, data interface{}) *Errors {
	return &Errors{
		Code: CodeInternal,
		Msg:  msg,
		Data: data,
	}
}

func ParamsInvalidResponse(msg string, data interface{}) *Errors {
	return &Errors{
		Code: CodeParamsInvalid,
		Msg:  msg,
		Data: data,
	}
}

func OperationInvalidResponse(msg string, data interface{}) *Errors {
	return &Errors{
		Code: CodeOperationInvalid,
		Msg:  msg,
		Data: data,
	}
}
