package main

import (
	"github.com/gin-gonic/gin"
	"iot_manager_service/app/dao"
	"iot_manager_service/app/utils"
	"iot_manager_service/config"
	_ "iot_manager_service/config"
	"iot_manager_service/router"
)

func main() {
	// 开始调试模式
	gin.SetMode("debug")

	// 实例化配置
	dao.InitDB()
	err := utils.InitRedis()
	if err != nil {
		panic(err)
	}

	engine := gin.Default()
	router.InitRouter(engine)
	_ = engine.Run(config.Instance().Server.Address)
}
